package com.unis.base.server.domain;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.base.common.vo.DCfztsjyVO;
import com.unis.base.server.dao.DCfztsjyDao;
import com.unis.base.server.entity.DCfztsjyDO;
import com.unis.common.utils.LsBeanUtils;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfztsjyyDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class DCfztsjyyDomain {

	@Autowired
	private DCfztsjyDao dCfztsjyDao;

	/**
	 * 根据仓房编号获取仓房信息
	 * @param dCfztsjyyVO
	 * @return
	 */
	public List<DCfztsjyVO> getDCfztsjyList(DCfztsjyVO dCfztsjyyVO) {
		DCfztsjyDO dCfztsjyDO = new DCfztsjyDO();
		LsBeanUtils.copyAllProperties(dCfztsjyyVO,dCfztsjyDO);
		return dCfztsjyDao.getDCfztsjyList(dCfztsjyDO);
	}

	/**
	 * 获取仓房状态信息
	 * @param cfbh
	 * @return
	 */
	public DCfztsjyDO getDCfztsjyInfo(String cfbh) {
		return dCfztsjyDao.getDCfztsjyInfo( cfbh);
	}

	/**
	 * 更新仓房状态信息
	 * @param dCfztsjyVO
	 * @return
	 */
	public int update(DCfztsjyVO dCfztsjyVO) {
		DCfztsjyDO dCfxxsjyDO = new DCfztsjyDO();
		LsBeanUtils.copyAllProperties(dCfztsjyVO,dCfxxsjyDO);
		return dCfztsjyDao.update(dCfxxsjyDO);
	}

	/**
	 * 新增仓房状态信息
	 * @param dCfztsjyVO
	 * @return
	 */
	public int insert(DCfztsjyVO dCfztsjyVO) {
		//进行库点信息copy
		DCfztsjyDO dCfxxsjyDO = new DCfztsjyDO();
		LsBeanUtils.copyAllProperties(dCfztsjyVO,dCfxxsjyDO);

		return dCfztsjyDao.insert(dCfxxsjyDO);
	}

}
